#!/bin/sh

set -euo pipefail

exec alertmanager \
  --config.file=/secrets/alertmanager.yml \
  --storage.path=/data \
  --web.external-url=[[ .public_url ]] \
  --web.route-prefix=/ \
  --web.listen-address=0.0.0.0:{{ env "NOMAD_ALLOC_PORT_web-tls" }} \
  --cluster.listen-address=0.0.0.0:{{ env "NOMAD_ALLOC_PORT_cluster" }} \
  --cluster.advertise-address={{ env "NOMAD_HOST_ADDR_cluster" }} \
{{- range service "alertmanager-gossip[[ .consul.suffix ]]" -}}
{{- if not (eq (env "NOMAD_ALLOC_INDEX") (index .ServiceMeta "alloc")) }}
  --cluster.peer={{ .Address }}:{{ .Port }} \
{{ end -}}
{{- end -}}
  --cluster.tls-config=/local/cluster_tls.yml \
  --web.config.file=/local/web_tls.yml
